Loading...

Get All Channels

Description

This API retrieves the list of all Datastream channels created in the specified Catalyst project.

Request Details

Request URL

GET

{api-domain}/baas/v1/project/{project_id}/datastreams/channel

copy

api-domain
URL
The DC-specific domain used to access Catalyst APIs

project_id
Numerical
The unique ID of the Catalyst project


Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.datastreams.channel.READ

Response Details

On successful execution, the response contains a list of all Datastream channels available in the specified project along with their corresponding metadata.

Sample Request
copy

curl -X GET
https://api.catalyst.zoho.com/baas/v1/project/20084000000589014/datastreams/channel
-H “Authorization: Zoho-oauthtoken 1000.f53426c0cee59aaa57f1f158f5f271ca.ba782e5510151a126a08232e7958b24d”
-H “CATALYST-ORG: 89773766”
-H “Environment: Development”

Sample Response
copy

{ “status”: “success”, “data”: [ { “parentId”: 20084000000662015, “id”: 20084000000662015, “name”: “testing”, “service”: “1”, “created_by”: { “zuid”: 89773766, “is_confirmed”: true, “email_id”: “emma@zylker.com”, “first_name”: “Emma”, “last_name”: “Thompson”, “user_type”: “Admin”, “user_id”: 20084000000012006 }, “modified_by”: { “zuid”: 89773766, “is_confirmed”: true, “email_id”: “emma@zylker.com”, “first_name”: “Emma”, “last_name”: “Thompson”, “user_type”: “Admin”, “user_id”: 20084000000012006 }, “created_time”: “Oct 24, 2026, 10:43 AM”, “modified_time”: “Oct 24, 2026, 10:43 AM”, “project_id”: 20084000000589014, “control_type”: 0, “control_ids”: “20084000000589020,20084000000589021”, “source”: “1”, “retention”: 48 } ] }